Summary:	Microcode definitions for Intel processors
Summary(pl.UTF-8):	Definicje mikrokodu dla procesorów Intela
Name:		microcode-data-intel
Version:	20201118
Release:	1
License:	INTEL SOFTWARE LICENSE AGREEMENT
Group:		Base
Source0:	https://github.com/intel/Intel-Linux-Processor-Microcode-Data-Files/archive/microcode-%{version}.tar.gz
# Source0-md5:	6248f95036923c5982800e3f97e08bb8
BuildRequires:	iucode-tool
Provides:	microcode-data
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The microcode data file for Linux contains the latest microcode
definitions for all Intel processors.

%description -l pl.UTF-8
Te pliki danych mikrokodu dla Linuksa zawierają najnowsze definicje
mikrokodu dla procesorów Intela.

%package initrd
Summary:	Microcode for initrd
Summary(pl.UTF-8):	Mikrokod dla initrd
Group:		Base

%description initrd
Intel microcode for initrd.

%description initrd -l pl.UTF-8
Mikrokod dla procesorów Intel dla initrd.

%prep
%setup -q -n Intel-Linux-Processor-Microcode-Data-Files-microcode-%{version}

%build
%{_sbindir}/iucode_tool intel-ucode*/*-* -tb --write-to=microcode.bin

install -d kernel/x86/microcode
ln microcode.bin kernel/x86/microcode/GenuineIntel.bin
echo kernel/x86/microcode/GenuineIntel.bin | cpio -o -H newc -R 0:0 > intel-ucode.img

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/boot}

cp -a intel-ucode $RPM_BUILD_ROOT/lib/firmware
cp -p intel-ucode.img $RPM_BUILD_ROOT/boot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md releasenote.md security.md
/lib/firmware/intel-ucode

%files initrd
%defattr(644,root,root,755)
%doc README.md releasenote.md security.md
/boot/intel-ucode.img
%changelog
* Thu Nov 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/microcode-data-intel.git;a=log;h=master

* Wed Nov 18 2020 Jan Palus <atler@pld-linux.org> 6896c70
- up to 20201118

* Thu Nov 12 2020 Jan Palus <atler@pld-linux.org> d0bad5f
- up to 20201112

* Wed Nov 11 2020 Jan Palus <atler@pld-linux.org> c4da47d
- up to 20201110

* Tue Jun 16 2020 Jan Palus <atler@pld-linux.org> 7b50ece
- up to 20200616

* Wed Jun 10 2020 Jan Palus <atler@pld-linux.org> 167f5ab
- up to 20200609

* Thu May 21 2020 Jan Palus <atler@pld-linux.org> 71d67cf
- up to 20200520

* Sat May 09 2020 Jan Palus <atler@pld-linux.org> 0d526de
- up to 20200508

* Sat Nov 16 2019 Jan Palus <atler@pld-linux.org> dea2e98
- up to 20191115

* Thu Nov 14 2019 Jan Palus <atler@pld-linux.org> abf1710
- up to 20191113

* Tue Nov 12 2019 Jan Palus <atler@pld-linux.org> e9f19a5
- up to 20191112

* Wed Sep 18 2019 Jan Palus <atler@pld-linux.org> 33da721
- up to 20190918

* Wed Jun 19 2019 Jan Palus <atler@pld-linux.org> 8f0e22c
- up to 20190618

* Sat May 18 2019 Jan Palus <atler@pld-linux.org> e327e9b
- up to 20190514a

* Wed May 15 2019 Jakub Bogusz <qboosh@pld-linux.org> fd284e4
- defattr before doc

* Tue May 14 2019 Jan Palus <atler@pld-linux.org> c7d4fcb
- up to 20190514

* Sat Apr 20 2019 Jan Palus <atler@pld-linux.org> d56708e
- up to 20190312

* Thu Aug 30 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 38d2802
- up to 20180807a

* Wed Aug 08 2018 Jan Palus <atler@pld-linux.org> 0024e5d
- up to 20180807

* Tue Jul 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 05dd812
- up to 20180703

* Fri May 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0c7a88d
- fix url

